@import url('https://fonts.googleapis.com/css2?family=Lora:ital,wght@0,400..700;1,400..700&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

:root {
    --color-primary: #1d1559;
    --color-gray: #d6d6d6;
    --border-radius: 8px;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html, body {
    font-family: 'Lora', sans-serif;
    font-size: 100%;
    color: var(--color-primary);
    background: #f4f4f4;
}

.header {
    background-color: var(--color-gray);
    padding-top: 1rem;
}

.header .szent-istvan {
    display: block;
    width: 6.5rem;
    margin: 0 auto;
}

.text {
    margin: .5rem 0;
    text-align: justify;
    font-weight: 600;
}

.documents {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
    margin-bottom: 2rem;
}

.document {
    position: relative;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;

    background-color: #fff;
    border-radius: var(--border-radius);
    box-shadow: 0 .25rem .5rem rgba(0, 0, 0, 0.1);

    .document__link {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }

    .document__info {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: .5rem;
    }

    .document__icon {
        display: flex;
        font-size: 1.5rem;
        color: var(--color-primary);
    }

    .document__name {
        font-size: 1.1rem;
        font-weight: 600;
        color: var(--color-primary);
        text-align: center;
    }

    &:hover .document__name {
        text-decoration: underline;
    }
}

.no-documents-message {
    padding: 1rem;
    text-align: center;
}

/* BP - sm */
@media (min-width: 576px) {
    .text {
        margin: 1.5rem 0;
    }
}

/* BP - md */
@media (min-width: 768px) {

    .header .szent-istvan {
        width: 10rem;
    }

    .document {
        flex-direction: row;
        justify-content: space-between;

        .document__info {
            flex-direction: row;
            justify-content: start;
            align-items: center;
        }

        .document__name {
            text-align: start;
        }

        .document__date {
            text-align: end;
        }
    }

}

/* BP - xxl */
@media (min-width: 1400px) {
    .header {
        padding-top: 2rem;
    }

    .header .szent-istvan {
        width: 12rem;
    }
}
